local profile = require("core.profile")
local GiveChisel = function()
  if game.Wallets.GetResourceValue("HERO", "ChiselUnlock") <= 0 then
    game.Wallets.AddResource("HERO", "ChiselUnlock", 1, "NO_TELEMETRY")
  end
end
local GiveDragonTooth = function()
  if not game.Wallets.HasResource("HERO", "DragonTooth") then
    game.Wallets.AddResource("HERO", "DragonTooth", 1, "NO_TELEMETRY")
  end
end
local GiveTyrUnlock = function()
  if not game.Wallets.HasResource("HERO_SAVEONLY", "TyrAmuletUnlock") then
    game.Wallets.AddResource("HERO_SAVEONLY", "TyrAmuletUnlock", 1, "NO_TELEMETRY")
    game.Map.ChangeMarkerState("CALT_120_ENDGAME_FT", tweaks.eTokenState.kDiscovered)
  end
end
return profile.WrapLibrary({
  GiveChisel = GiveChisel,
  GiveDragonTooth = GiveDragonTooth,
  GiveTyrUnlock = GiveTyrUnlock
})
